## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDOMWrapperException Class Reference

Inheritance diagram for XercesDOMWrapperException:

[legend]
Collaboration diagram for XercesDOMWrapperException:

[legend]
List of all members.

## Public Member Functions

Constructors and assignment operator

- XercesDOMWrapperException (ExceptionCode code=UNKNOWN_ERR)
    Constructor which takes an error code.
- XercesDOMWrapperException (const DOMExceptionType &theException)
    Constructor which takes a Xerces exception and translates it into a XercesDOMException.
- XercesDOMWrapperException (const XercesDOMWrapperException &theSource)
    Copy constructor.

Destructor.

- virtual ~XercesDOMWrapperException ()
    Destructor for XercesDOMException.

## Constructor & Destructor Documentation

XercesDOMWrapperException::XercesDOMWrapperException | ( | ExceptionCode | code = UNKNOWN_ERR | ) | `[explicit]`

  | Constructor which takes an error code. Parameters:
  code | The error code which indicates the exception

XercesDOMWrapperException::XercesDOMWrapperException | ( | const DOMExceptionType & | theException | ) |

  | Constructor which takes a Xerces exception and translates it into a XercesDOMException. Parameters:
  code | The Xerces DOMException instance.

XercesDOMWrapperException::XercesDOMWrapperException | ( | const XercesDOMWrapperException & | theSource | ) |

  | Copy constructor. Parameters:
  other | The object to be copied.

virtual XercesDOMWrapperException::~XercesDOMWrapperException | ( |  | ) | `[virtual]`

| Destructor for XercesDOMException.

The documentation for this class was generated from the following file:

- XercesDOMWrapperException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.